
%global meadversion 1.2.1
%global namedversion 1.2.1.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package wildfly-discovery}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.2.1.Final-redhat-00001

Name:           %{?scl_prefix}wildfly-discovery
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly Discovery Client
Group:          Development/Java

%if %with mead
Source100: wildfly-discovery-client-1.2.1.Final-redhat-00001-project-sources.tar.gz
Source102: wildfly-discovery-client-1.2.1.Final-redhat-00001.jar
Source103: wildfly-discovery-client-1.2.1.Final-redhat-00001.pom
Source104: wildfly-discovery-client-1.2.1.Final-redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly/wildfly-discovery
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%package client
Summary:        WildFly Discovery Client
Group:          Development/Java

Requires:       %{?scl_prefix_eap}wildfly-common >= 0:1.0.0

%description client
%{summary}.

%if %with javadoc
%package client-javadoc
Summary:        Javadoc for wildfly-discovery-client
Group:          Development/Java

BuildRequires:  unzip

%description client-javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-discovery-client-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wildfly-discovery-client-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-discovery-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-discovery-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-discovery-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-discovery-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-discovery-client-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-discovery-client-%{namedversion}
unzip -qq %{_sourcedir}/wildfly-discovery-client-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-discovery-client-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-discovery-client-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-discovery-client
%endif

%clean
%{__rm} -rf %{buildroot}

%files client
%defattr(0644,root,root,0755)
%{_javadir}/wildfly-discovery-client-%{namedversion}.jar
%{_javadir}/wildfly-discovery-client.jar
%if %with javadoc
%{_javadir}/wildfly-discovery-client-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-discovery-client-javadoc.jar
%endif
%{_javadir}/wildfly-discovery-client-%{namedversion}-sources.jar
%{_javadir}/wildfly-discovery-client-sources.jar

%if %with javadoc
%files client-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-discovery-client-%{namedversion}
%{_javadocdir}/wildfly-discovery-client
%endif

%changelog
* Mon May 25 2020 Yong Yang <yyang@redhat.com> - 1.2.1-1.Final_redhat_00001.1
- RPM wrapper build 1.2.1.Final-redhat-00001

* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 1.2.0-1.Final_redhat_00001.1
- 1.2.0.Final-redhat-00001

* Mon May 13 2019 Permaine Cheung <pcheung@redhat.com> - 1.1.2-1.Final_redhat_00001.1
- 1.1.2.Final_redhat_00001

* Tue Jul 03 2018 Permaine Cheung <pcheung@redhat.com> - 1.1.1-1.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Thu May 24 2018 Petr Sakar <psakar@redhat.com> - 1.1.1-1.Final_redhat_1.1
- upgrade to 1.1.1.Final-redhat-1

* Mon Aug 21 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-9.Final_redhat_1.1
- upgrade to 1.0.0.Final-redhat-1

* Sat Jun 24 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-8.CR1_redhat_1.1
- upgrade to 1.0.0.CR1-redhat-1

* Tue Jun 06 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-7.Beta12_redhat_1.1
- upgrade to 1.0.0.Beta12-redhat-1

* Wed May 10 2017 Martin Minar <mminar@redhat.com> - 1.0.0-6.Beta11_redhat_1.1
- update to 1.0.0.Beta11

* Mon Apr 03 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-5.Beta10_redhat_1.1
- upgrade to 1.0.0.Beta10-redhat-1

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-4.Beta9_redhat_1.1
- upgrade to 1.0.0.Beta9-redhat-1

* Tue Feb 28 2017 Martin Minar <mminar@redhat.com> - 1.0.0-3.Beta8_redhat_1.1
- update to version 1.0.0.Beta8

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-2.Beta7_redhat_1.1
- upgrade to 1.0.0.Beta7-redhat-1

* Thu Dec 22 2016 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Beta2_redhat_1.1
- release

* Thu Dec 22 2016 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Beta2_redhat_1.1
- release

